<?php get_header() ?>
<div id="content"><!-- start #content -->
	<div class="padder"><!-- start .padder -->
		<div class="page attachment-page" id="blog-page"><!-- start .page -->
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

				<div class="post-header">
					<div class="alignleft">
						<h2 class="pagetitle"><?php the_title(); ?></h2>
					</div>
					<div class="alignright">
						<?php sleekphoto_information('page'); ?>
					</div>
					<div class="clear"></div>
				</div>

				<div class="post" id="post-<?php the_ID(); ?>"><div class="entry">
					<?php if ( wp_attachment_is_image( $post->id ) ) : $att_image = wp_get_attachment_image_src( $post->id, "full"); ?>
						<p class="attachment">
							<a href="<?php echo wp_get_attachment_url($post->id); ?>" title="<?php the_title(); ?>" rel="attachment"><img src="<?php echo $att_image[0];?>" width="<?php echo $att_image[1];?>" height="<?php echo $att_image[2];?>"  class="attachment-template" alt="<?php $post->post_excerpt; ?>" /></a>
						</p>
					<?php else : ?>
						<a href="<?php echo wp_get_attachment_url($post->ID) ?>" title="<?php echo wp_specialchars( get_the_title($post->ID), 1 ) ?>" rel="attachment"><?php echo basename($post->guid) ?></a>
					<?php endif; ?>
				</div></div>

				<?php comments_template('', true); ?>
			<?php endwhile; else: ?>
				<p><?php _e( 'Sorry, no attachments matched your criteria.', 'sleek' ) ?></p>
			<?php endif; ?>
		</div><!-- end .page -->
	</div><!-- end .padder -->
</div><!-- end #content -->
<?php get_footer(); ?>