<div id="buttons-navigation">
		<?php wp_nav_menu( array('theme_location' => 'primary', 'menu_class' => '', 'container' => 'div', )); ?>
</div>
	<div class="clear"></div>
	<div id="breadcrumb">
<?php
    if (is_page() && !is_front_page() || is_single() || is_category()) {
        echo '<ul class="breadcrumbs">';
        echo '<li class="front-page"><a href="'.get_bloginfo('url').'">'.get_bloginfo('name').'</a></li>';

        if (is_page()) {
            $ancestors = get_post_ancestors($post);

            if ($ancestors) {
                $ancestors = array_reverse($ancestors);

                foreach ($ancestors as $crumb) {
                    echo '<li><a href="'.get_permalink($crumb).'">'.get_the_title($crumb).'</a></li>';
                }
            }
        }

        if (is_single()) {
            $category = get_the_category();
            echo '<li><a href="'.get_category_link($category[0]->cat_ID).'">'.$category[0]->cat_name.'</a></li>';
        }

        if (is_category()) {
            $category = get_the_category();
            echo '<li>'.$category[0]->cat_name.'</li>';
        }

        // Current page
        if (is_page() || is_single()) {
            echo '<li class="current">'.get_the_title().'</li>';
        }
        echo '</ul>';
    } elseif (is_front_page()) {
        // Front page
        echo '<ul class="breadcrumbs">';
        echo '<li class="front_page">Home</li>';
        echo '<li class="current"><a href="'.get_bloginfo('url').'">'.get_bloginfo('name').'</a></li>';
        echo '</ul>';
    }
?>
	</div>