<?php

////////////////////////////////////////////////////////////////////////////////
// load text domain
////////////////////////////////////////////////////////////////////////////////
define("TEMPLATE_DOMAIN", 'sleekphoto');

define('DEVLIB', TEMPLATEPATH . '/library');

function init_localization( $locale ) {
return "en_EN";
}
// Uncomment add_filter below to test your localization, make sure to enter the right language code.
// add_filter('locale','init_localization');

if( function_exists( 'load_theme_textdomain' ) ) {
load_theme_textdomain(TEMPLATE_DOMAIN, DEVLIB . '/languages/');
}


function sleek_photo_my_scripts_method() {
	// register your script location, dependencies and version
	wp_enqueue_script("jquery");
	wp_enqueue_script( "slider", get_bloginfo('template_directory') . "/library/scripts/loopedslider.js" );
	wp_enqueue_script( "dropdown", get_bloginfo('template_directory') . "/library/scripts/dropdown.js" );
}

add_action('wp_enqueue_scripts', 'sleek_photo_my_scripts_method');


register_sidebar(
	array(
		'name' => 'First Footer Widget Area',
		'id' => 'first-footer-widget-area',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>'
	)
);
register_sidebar(
	array(
		'name' => 'Second Footer Widget Area',
		'id' => 'second-footer-widget-area',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>'
	)
);
register_sidebar(
	array(
		'name' => 'Third Footer Widget Area',
		'id' => 'third-footer-widget-area',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>'
	)
);
register_sidebar(
	array(
		'name' => 'Fourth Footer Widget Area',
		'id' => 'fourth-footer-widget-area',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>'
	)
);

//uncomment if using custom header
//require_once(DEVLIB . '/functions/custom-header.php');
require_once(DEVLIB . '/functions/custom-functions.php');
//uncomment if using own widgets
//require_once(DEVLIB . '/functions/widget-functions.php');
require_once(DEVLIB . '/functions/option-functions.php');
require_once(DEVLIB . '/functions/loop-functions.php');
