<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
	<head profile="http://gmpg.org/xfn/11">
		<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
 		<?php include (TEMPLATEPATH . '/library/options/options.php'); ?>
		<title>
			<?php wp_title(''); ?><?php if(wp_title('', false)) { echo ' :'; } ?> <?php bloginfo('name'); ?>
		</title>
		<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /> <!-- leave this for stats -->
		<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/_inc/css/reset.css" type="text/css" media="all" />
		<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
		<?php
			$get_current_scheme = get_option('dev_sleekphoto_custom_style');
		?>
		<?php
			if($get_current_scheme == 'default.css') { ?>
			<!-- start theme options sync - using php to fetch theme option are deprecated and replace with style sync -->
			<?php print "<style type='text/css' media='screen'>"; ?>
			<?php include (TEMPLATEPATH . '/library/options/theme-options.php'); ?>
			<?php print "</style>"; ?>
			<!-- end theme options sync -->
		<?php } ?>
		<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
		<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
		<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
		<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
		<link rel="icon" href="<?php bloginfo('stylesheet_directory');?>/favicon.ico" type="images/x-icon" />
		<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
		<script type="text/javascript">
			var image_url = "<?php bloginfo('template_directory') ?>/library/styles/colour-images/";
		</script>
		<?php wp_head(); ?>
	</head>
	<body <?php body_class() ?>>
		<div id="site-wrapper"><!-- start #site-wrapper -->
			<div id="header"><!-- start #header -->
				<?php locate_template( array( '/library/components/branding-header.php' ), true ); ?>
				<?php locate_template( array( '/library/components/sociallinks.php' ), true ); ?>
				<div class="clear"></div>
			</div><!-- end #header -->
			<div id="container"><!-- start #container -->
				<?php locate_template( array( '/library/components/navigation.php' ), true ); ?>