<?php
function wpmu_blogpageloop() {
		do_action('wpmu_blogpageloop');
}

function wpmu_excerptloop() {
		do_action('wpmu_excerptloop');
}

function wpmu_singleloop() {
		do_action('wpmu_singleloop');
}

function wpmu_pageloop() {
		do_action('wpmu_pageloop');
}

/* blog / news template function */
function wpmu_blogpage_loop(){
		rewind_posts();
		$color = "FFF";
		$page = (get_query_var('paged')) ? get_query_var('paged') : 1; query_posts("cat=&showposts=5&paged=$page"); while ( have_posts() ) : the_post(); $color = ( $color == "FFF" ) ? "F3F3F3" : "FFF";?>
		<div class="post" id="post-<?php the_ID(); ?>" style="background: #<?php echo $color; ?>;">
			<div class="post-content-wp">
				<h2 class="posttitle"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e( 'Permanent Link to', TEMPLATE_DOMAIN ) ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
					<p><?php sleekphoto_information(); ?></p>
						<div class="entry">
									<a href="<?php the_permalink() ?>">
										<?php if(function_exists('the_post_thumbnail')) { ?><?php if(get_the_post_thumbnail() != "") { ?><div class="alignleft">
										<?php the_post_thumbnail(); ?></div><?php } } ?>
									</a>
							<?php the_excerpt(); ?>
						</div>
				<p class="postmetadata"><span class="tags"><?php the_tags( __( 'Tags: ', TEMPLATE_DOMAIN ), ', ', '<br />'); ?></span> <span class="comments"><?php comments_popup_link( __( 'No Comments &#187;', TEMPLATE_DOMAIN ), __( '1 Comment &#187;', TEMPLATE_DOMAIN ), __( '% Comments &#187;', TEMPLATE_DOMAIN ) ); ?></span></p>
			</div>
		</div>
			<?php endwhile;
}
add_action('wpmu_blogpageloop', 'wpmu_blogpage_loop');

/* excerpt function */
function wpmu_excerpt_loop(){
		rewind_posts();
		while (have_posts()) : the_post(); ?>
		<div class="post" id="post-<?php the_ID(); ?>">
			<div class="post-content-wp">
					<h2 class="posttitle"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e( 'Permanent Link to', TEMPLATE_DOMAIN ) ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
					<p class="date"><span class="byline"><?php the_time('M j Y') ?> <?php _e( 'in', TEMPLATE_DOMAIN ) ?> <?php the_category(', ') ?> <em><?php _e( 'by ', TEMPLATE_DOMAIN ) ?><?php the_author_link();  ?></em></span></p>
						<div class="entry">
									<a href="<?php the_permalink() ?>">
										<?php if(function_exists('the_post_thumbnail')) { ?><?php if(get_the_post_thumbnail() != "") { ?><div class="alignleft">
										<?php the_post_thumbnail(); ?></div><?php } } ?>
									</a>
							<?php the_excerpt(); ?>
						</div>
				<p class="postmetadata"><span class="tags"><?php the_tags( __( 'Tags: ', TEMPLATE_DOMAIN ), ', ', '<br />'); ?></span> <span class="comments"><?php comments_popup_link( __( 'No Comments &#187;', TEMPLATE_DOMAIN ), __( '1 Comment &#187;', TEMPLATE_DOMAIN ), __( '% Comments &#187;', TEMPLATE_DOMAIN ) ); ?></span></p>
			</div>
		</div>
			<?php endwhile;
}
add_action('wpmu_excerptloop', 'wpmu_excerpt_loop');

/* single function */
function wpmu_single_loop(){
		rewind_posts();
		while (have_posts()) : the_post(); ?>
			<div class="post" id="post-<?php the_ID(); ?>">
				<div class="post-content-wp">
			<div class="post-header">
				<div class="alignleft">
					<h2 class="posttitle"><?php the_title(); ?></h2>
				</div>
				<div class="alignright">
					<?php sleekphoto_information(); ?>
				</div>
				<div class="clear"></div>
			</div>

					<div class="entry">
						<?php the_content(); ?>
					</div>
					<p class="postmetadata"><span class="tags"><?php the_tags( __( 'Tags: ', TEMPLATE_DOMAIN ), ', ', '<br />'); ?></span></p>
				</div>
			</div>

			<?php comments_template('', true); ?>
			<?php endwhile;

}
add_action('wpmu_singleloop', 'wpmu_single_loop');

/* page function */
function wpmu_page_loop(){
		rewind_posts();
		while (have_posts()) : the_post(); ?>
			<div class="post-header">
				<div class="alignleft">
					<h2 class="pagetitle"><?php the_title(); ?></h2>
				</div>
				<div class="alignright">
					<?php sleekphoto_information('page'); ?>
				</div>
				<div class="clear"></div>
			</div>
					<div class="post" id="post-<?php the_ID(); ?>">
					<div class="entry">
						<?php the_content(); ?>
						<?php wp_link_pages( array( 'before' => __( '<p><strong>Pages:</strong> ', TEMPLATE_DOMAIN ), 'after' => '</p>', 'next_or_number' => 'number')); ?>
						<?php edit_post_link( __( 'Edit this entry.', TEMPLATE_DOMAIN ), '<p>', '</p>'); ?>
					</div>
				</div>

				<?php comments_template('', true); ?>
			<?php endwhile;
}
add_action('wpmu_pageloop', 'wpmu_page_loop');
?>